Update a VICAL signer
Roles
Analytics Events
/v1/ecosystems/certificates/vical-signers/{vicalSignerId}Updates a VICAL signer by:
- Providing a VICAL Signer Certificate (VSC) in PEM format that matches its Certificate Signing Request (CSR).
- Activating or deactivating the VICAL signer. Only VICAL signers with a valid
certificatePemcan be activated. - The
certificatePemfield becomes immutable after it's updated for the first time.
Analytic events
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_START
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the VICAL signer.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/certificates/vical-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3", "intermediateCaId": "c04f6eaa-7183-4dfc-a249-59f9e8b2ddde"}How would you rate this page?
Retrieve a VICAL signer GET
Retrieves a VICAL signer. ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL
Delete a VICAL signer DELETE
Deletes a VICAL signer. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout> ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_FAIL